using System;
using System.Collections.Generic;
using System.Text;
using System.Collections.ObjectModel;

namespace TestUltraTree
{
    public class Configuration
    {
        private Collection<InputStructure> inputStructures;

        public Collection<InputStructure> InputStructures
        {
            get { return inputStructures; }
            set { inputStructures = value; }
        }

        private Collection<Processing> processings;

        public Collection<Processing> Processings
        {
            get { return processings; }
            set { processings = value; }
        }

        private Collection<Reference> references;

        public Collection<Reference> References
        {
            get { return references; }
            set { references = value; }
        }

        public Configuration()
        {
            this.InputStructures = new Collection<InputStructure>();
            this.Processings = new Collection<Processing>();
            this.References = new Collection<Reference>();
        }
    }

    public class InputStructure
    {
        private string name;

        public string Name
        {
            get { return name; }
            set { name = value; }
        }

        private string description;

        public string Description
        {
            get { return description; }
            set { description = value; }
        }

        public InputStructure(string name, string description)
        {
            this.Name = name;
            this.Description = description;
        }

    }

    public class Processing
    {
        private string name;

        public string Name
        {
            get { return name; }
            set { name = value; }
        }

        private string description;

        public string Description
        {
            get { return description; }
            set { description = value; }
        }

        public Processing(string name, string description)
        {
            this.Name = name;
            this.Description = description;
        }
    }

    public class Reference
    {
        private string name;

        public string Name
        {
            get { return name; }
            set { name = value; }
        }

        private string description;

        public string Description
        {
            get { return description; }
            set { description = value; }
        }

        public Reference(string name, string description)
        {
            this.Name = name;
            this.Description = description;
        }
    }
}
